/* Tell the linker this is our entrypoint. */
ENTRY (_loader)

SECTIONS{
    /* This is the adres of our, as i'm building a lower-half kernel, this is just the 1MB mark */
    . = 0x00100000;
    /* Fix for a problem caused by a predefined symbol __executable_start */
    __executable_start = .;

    .text :{
        *(.text)
    }

    .rodata ALIGN (0x1000) : {
        *(.rodata)
    }

    .data ALIGN (0x1000) : {
        *(.data)
    }

    .bss : {
        _sbss = .;
        *(COMMON)
        *(.bss)
        _ebss = .;
    }
}